<?php

	/**
	 *
	 * Plugin Name: Leads CRM WordPress WooCommerce Export Add-on
	 * Plugin URI: https://www.bizswoop.com/wp/leads
	 * Description:  Add Export functionality for Leads CRM WordPress WooCommerce Plugin
	 * Version: 2.0
	 * Text Domain: zleads
	 * WC requires at least: 2.4.0
	 * WC tested up to: 3.6.0
	 * Author: BizSwoop a CPF Concepts, LLC Brand
	 * Author URI: http://www.bizswoop.com
	 */

	if ( ! defined( 'ABSPATH' ) ) {
		exit; // Exit if accessed directly.
	}

	define( 'ZLEADSCRM_EXPORT_BASE_FILE', __FILE__ );
	define( 'ZLEADSCRM_EXPORT_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );


	require_once( ZLEADSCRM_EXPORT_PLUGIN_DIR . 'helper/class-zleadscrm-export-core.php' );

	register_activation_hook( __FILE__, array( 'ZLEADSCRM_EXPORT_Core', 'plugin_activation' ) );
	register_deactivation_hook( __FILE__, array( 'ZLEADSCRM_EXPORT_Core', 'plugin_deactivation' ) );

	add_action( 'init', array( 'ZLEADSCRM_EXPORT_Core', 'init' ) );

	if ( is_admin() || ( defined( 'WP_CLI' ) && WP_CLI ) ) {
		require_once( ZLEADSCRM_EXPORT_PLUGIN_DIR . 'helper/class-zleadscrm-export-core-admin.php' );
		$adm_admin = new ZLEADSCRM_EXPORT_Core_Admin();
	}

	// Functions
	require_once( ZLEADSCRM_EXPORT_PLUGIN_DIR . 'leads-export-functions.php' );
	
?>
